<script lang="ts">
	import { slide } from 'svelte/transition';

	export let items: string[] = [];

	const colorShade: string[] = ['bg-primary-800', 'bg-primary-700', 'bg-primary-600'];
	const numberColRecipe: number = items.length > 8 ? 8 : items.length;
	const cols = 'display: grid; grid-template-columns: repeat(' + numberColRecipe + ', 1fr);';
</script>

<div class="grid md:grid-cols-3 gap-4 pt-2" style={cols} transition:slide>
	{#each items as item, index}
		<p
			class="text-center p-2 rounded-lg bg-opacity-60 text-gray-200
{colorShade[index % 3]}
"
		>
			{item}
		</p>
	{/each}
</div>

<style>
	.my-list {
		list-style: none;
		padding: 0;
		margin: 0;
	}

	.my-list li {
		padding: 10px;
		margin-bottom: 10px;
		border: 1px solid #ccc;
		border-radius: 5px;
	}

	.my-list li:hover {
		@apply opacity-80;
	}

	.my-list li::before {
		content: '•';
		margin-right: 10px;
		@apply text-primary-900;
	}
</style>
